curl --request GET \
--url https://api.platform.sandbox.dakota.xyz/customers/{customer_id}/cards \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.platform.sandbox.dakota.xyz/customers/{customer_id}/cards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.platform.sandbox.dakota.xyz/customers/{customer_id}/cards"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.platform.sandbox.dakota.xyz/customers/{customer_id}/cards"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": [
{
"id": "2tQRvvnYkN6edEJUTmF1LzTj2ug",
"cardholder_id": "31TgvufZK3gDXBcA3BnSeLWiSn7",
"customer_id": "2tQRvD3xFcJ7bKpW9qNsT4hZmYr",
"wallet_id": "2tQRvK9pRzM4nVbW8sHqL5jXmYt",
"status": "active",
"version": 2,
"last4": "4242",
"spend_limit": {
"interval": "monthly",
"amount": 250000
},
"external_id": "ads-card-01",
"nickname": "Ads card",
"freeze_sources": [],
"created_at": 1758211200,
"updated_at": 1758211260
}
],
"meta": {
"total_count": 1,
"has_more_after": false,
"has_more_before": false
}
}{
"type": "https://docs.dakota.xyz/api-reference/errors#not-found",
"title": "Customer Not Found",
"status": 404,
"detail": "Customer cst_2abc123 was not found in your organization.",
"instance": "https://api.platform.dakota.xyz/customers/cst_2abc123",
"request_id": "req_7f3a8b2c"
}{
"type": "https://docs.dakota.xyz/api-reference/errors#not-found",
"title": "Customer Not Found",
"status": 404,
"detail": "Customer cst_2abc123 was not found in your organization.",
"instance": "https://api.platform.dakota.xyz/customers/cst_2abc123",
"request_id": "req_7f3a8b2c"
}{
"type": "https://docs.dakota.xyz/api-reference/errors#not-found",
"title": "Customer Not Found",
"status": 404,
"detail": "Customer cst_2abc123 was not found in your organization.",
"instance": "https://api.platform.dakota.xyz/customers/cst_2abc123",
"request_id": "req_7f3a8b2c"
}{
"type": "https://docs.dakota.xyz/api-reference/errors#not-found",
"title": "Customer Not Found",
"status": 404,
"detail": "Customer cst_2abc123 was not found in your organization.",
"instance": "https://api.platform.dakota.xyz/customers/cst_2abc123",
"request_id": "req_7f3a8b2c"
}List cards
Get a paginated list of cards for the given customer ID, optionally filtered by cardholder, status, or external ID.
curl --request GET \
--url https://api.platform.sandbox.dakota.xyz/customers/{customer_id}/cards \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.platform.sandbox.dakota.xyz/customers/{customer_id}/cards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.platform.sandbox.dakota.xyz/customers/{customer_id}/cards"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.platform.sandbox.dakota.xyz/customers/{customer_id}/cards"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": [
{
"id": "2tQRvvnYkN6edEJUTmF1LzTj2ug",
"cardholder_id": "31TgvufZK3gDXBcA3BnSeLWiSn7",
"customer_id": "2tQRvD3xFcJ7bKpW9qNsT4hZmYr",
"wallet_id": "2tQRvK9pRzM4nVbW8sHqL5jXmYt",
"status": "active",
"version": 2,
"last4": "4242",
"spend_limit": {
"interval": "monthly",
"amount": 250000
},
"external_id": "ads-card-01",
"nickname": "Ads card",
"freeze_sources": [],
"created_at": 1758211200,
"updated_at": 1758211260
}
],
"meta": {
"total_count": 1,
"has_more_after": false,
"has_more_before": false
}
}{
"type": "https://docs.dakota.xyz/api-reference/errors#not-found",
"title": "Customer Not Found",
"status": 404,
"detail": "Customer cst_2abc123 was not found in your organization.",
"instance": "https://api.platform.dakota.xyz/customers/cst_2abc123",
"request_id": "req_7f3a8b2c"
}{
"type": "https://docs.dakota.xyz/api-reference/errors#not-found",
"title": "Customer Not Found",
"status": 404,
"detail": "Customer cst_2abc123 was not found in your organization.",
"instance": "https://api.platform.dakota.xyz/customers/cst_2abc123",
"request_id": "req_7f3a8b2c"
}{
"type": "https://docs.dakota.xyz/api-reference/errors#not-found",
"title": "Customer Not Found",
"status": 404,
"detail": "Customer cst_2abc123 was not found in your organization.",
"instance": "https://api.platform.dakota.xyz/customers/cst_2abc123",
"request_id": "req_7f3a8b2c"
}{
"type": "https://docs.dakota.xyz/api-reference/errors#not-found",
"title": "Customer Not Found",
"status": 404,
"detail": "Customer cst_2abc123 was not found in your organization.",
"instance": "https://api.platform.dakota.xyz/customers/cst_2abc123",
"request_id": "req_7f3a8b2c"
}Authorizations
Path Parameters
KSUID is a 27-character globally unique ID that combines a timestamp with a random component. Used for all entity identifiers in the Dakota platform.
27^[0-9A-Za-z]{27}$"1NFHrqBHb3cTfLVkFSGmHZqdDPi"
Query Parameters
A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 20.
1 <= x <= 100A cursor for use in pagination. starting_after is a KSUID for the object you are listing that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with ID 2B5J8KZ9N7M1K3P6Q8R4T7V9, your subsequent call can include starting_after=2B5J8KZ9N7M1K3P6Q8R4T7V9 in order to fetch the next page of the list.
KSUID is a 27-character globally unique ID that combines a timestamp with a random component. Used for all entity identifiers in the Dakota platform.
27^[0-9A-Za-z]{27}$"1NFHrqBHb3cTfLVkFSGmHZqdDPi"
A cursor for use in pagination. ending_before is a KSUID for the object you are listing that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with ID 2B5J8KZ9N7M1K3P6Q8R4T7V9, your subsequent call can include ending_before=2B5J8KZ9N7M1K3P6Q8R4T7V9 in order to fetch the previous page of the list.
KSUID is a 27-character globally unique ID that combines a timestamp with a random component. Used for all entity identifiers in the Dakota platform.
27^[0-9A-Za-z]{27}$"1NFHrqBHb3cTfLVkFSGmHZqdDPi"
Filter cards by cardholder. KSUID is a 27-character globally unique ID that combines a timestamp with a random component. Used for all entity identifiers in the Dakota platform.
27^[0-9A-Za-z]{27}$"1NFHrqBHb3cTfLVkFSGmHZqdDPi"
Filter cards by status.
pending, active, frozen, closed Filter by the client-supplied external_id, exact match, case
sensitive. The key is a label the client chooses and is not
unique, so the result is a (possibly empty) collection rather
than a single resource. An empty value is treated as absent.
Was this page helpful?

